﻿<UserControl x:Class="CloudVault_Client.controls.data.CardViewControl"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             Background="{DynamicResource MaterialDesignPaper}"
             TextElement.Foreground="{DynamicResource MaterialDesignBody}"
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             mc:Ignorable="d">
    <Grid MinWidth="450" Background="{StaticResource MaterialDesignDarkSeparatorBackground}">
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto"/>
            <RowDefinition Height="Auto"/>
            <RowDefinition Height="*"/>
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*"/>
        </Grid.ColumnDefinitions>


        <TextBox 
            x:Name="TitleTextBox"
            Width="300"
            Grid.Row="0"
            FontSize="16"
            TextAlignment="Center"
            HorizontalAlignment="Center"
            Margin="10 10 10 10"
            materialDesign:HintAssist.Hint="Title"
            Style="{StaticResource MaterialDesignFloatingHintTextBox}"/>

        <Grid Grid.Row="1" Margin="10 0 10 0">
            <Grid.RowDefinitions>
                <RowDefinition Height="70"/>
                <RowDefinition Height="70"/>
                <RowDefinition Height="70"/>
                <RowDefinition Height="70"/>
                <RowDefinition Height="70"/>
                <RowDefinition Height="70"/>
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="Auto"/>
                <ColumnDefinition Width="*"/>
                <ColumnDefinition Width="Auto"/>
                <ColumnDefinition Width="Auto"/>
            </Grid.ColumnDefinitions>

            <materialDesign:PackIcon 
                Grid.Column="0"
                Grid.Row="0"
                Kind="CommentQuote"
                VerticalAlignment="Center"
                Margin="20 3 2 3"
                Foreground="{DynamicResource PrimaryHueMidBrush}"/>
            <TextBox
                x:Name="DescriptionTextBox"
                Grid.Row="0"
                Grid.Column="1"
                Style="{StaticResource MaterialDesignFloatingHintTextBox}"
                VerticalAlignment="Top"
                Margin="2 2 2 2"
                Height="66"
                AcceptsReturn="True"
                TextWrapping="Wrap"
                VerticalScrollBarVisibility="Auto"
                materialDesign:HintAssist.Hint="Description"/>

            <materialDesign:PackIcon 
                Grid.Column="0"
                Grid.Row="1"
                Kind="CreditCard"
                VerticalAlignment="Center"
                Margin="20 3 2 3"
                Foreground="{DynamicResource PrimaryHueMidBrush}"/>

            <TextBox
                x:Name="CardNumbersTextBox"
                Grid.Row="1"
                Grid.Column="1"
                MinWidth="300"
                VerticalAlignment="Bottom"
                Margin="5,5,5,25"
                materialDesign:HintAssist.FloatingScale="0.8"
                materialDesign:HintAssist.Hint="Credit Card numbers"
                materialDesign:HintAssist.HelperText="The numbers on your credit card"
                materialDesign:TextFieldAssist.HasClearButton="True"
                Style="{StaticResource MaterialDesignTextBoxBase}" />


            <materialDesign:PackIcon 
                Grid.Column="0"
                Grid.Row="2"
                Kind="Account"
                VerticalAlignment="Center"
                Margin="20 3 2 3"
                Foreground="{DynamicResource PrimaryHueMidBrush}"/>

            <TextBox
                x:Name="OwnerTextBox"
                Grid.Row="2"
                Grid.Column="1"
                MinWidth="300"
                VerticalAlignment="Bottom"
                Margin="5,5,5,25"
                materialDesign:HintAssist.FloatingScale="0.8"
                materialDesign:HintAssist.Hint="Owner"
                materialDesign:HintAssist.HelperText="The firstname and lastname written on your credit card"
                materialDesign:TextFieldAssist.HasClearButton="True"
                Style="{StaticResource MaterialDesignTextBoxBase}" />

            <materialDesign:PackIcon 
                Grid.Column="0"
                Grid.Row="3"
                Kind="DateRange"
                VerticalAlignment="Center"
                Margin="20 3 2 3"
                Foreground="{DynamicResource PrimaryHueMidBrush}"/>

            <DatePicker
                x:Name="CardDate"
                Grid.Row="3"
                Grid.Column="1"
                MinWidth="300"
                VerticalAlignment="Bottom"
                Margin="5,5,5,25"

                materialDesign:HintAssist.Hint="Expiry date"
                materialDesign:HintAssist.HelperText="The expiration date"
                Style="{StaticResource MaterialDesignFloatingHintDatePicker}" />


            <materialDesign:PackIcon 
                Grid.Column="0"
                Grid.Row="4"
                Kind="CreditCardSettings"
                VerticalAlignment="Center"
                Margin="20 3 2 3"
                Foreground="{DynamicResource PrimaryHueMidBrush}"/>

            <TextBox
                x:Name="CvvTextBox"
                Grid.Row="4"
                Grid.Column="1"
                MinWidth="300"
                VerticalAlignment="Bottom"
                Margin="5,5,5,25"
                materialDesign:HintAssist.FloatingScale="0.8"
                materialDesign:HintAssist.Hint="CVV"
                materialDesign:HintAssist.HelperText="The CVV : The three numbers on the back of your card"
                materialDesign:TextFieldAssist.HasClearButton="True"
                Style="{StaticResource MaterialDesignTextBoxBase}" />

            <materialDesign:PackIcon 
                Grid.Column="0"
                Grid.Row="5"
                Kind="Note"
                VerticalAlignment="Center"
                Margin="20 3 2 3"
                Foreground="{DynamicResource PrimaryHueMidBrush}"/>
            <TextBox
                x:Name="NoteTextBox"
                Grid.Row="5"
                Grid.Column="1"
                Style="{StaticResource MaterialDesignFloatingHintTextBox}"
                VerticalAlignment="Top"
                Margin="2 2 2 2"
                Height="66"
                AcceptsReturn="True"
                TextWrapping="Wrap"
                VerticalScrollBarVisibility="Auto"
                materialDesign:HintAssist.Hint="Note"/>

        </Grid>

    </Grid>
</UserControl>
